package edu.mermet.tp8.actions;

import java.awt.event.ActionEvent;
import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;
import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JDialog;
import javax.swing.KeyStroke;

import edu.mermet.tp8.Application;
import edu.mermet.tp8.dialog.CommentFaire;

public class ActionAfficherCommentFaire extends AbstractAction {
    private Application appli;
    private JDialog commentFaire;

    public ActionAfficherCommentFaire(Application appli) {
        super("Comment faire ?");
        this.appli=appli;
        putValue(Action.ACCELERATOR_KEY,KeyStroke.getKeyStroke(KeyEvent.VK_N, InputEvent.CTRL_DOWN_MASK));
        putValue(Action.MNEMONIC_KEY,KeyEvent.VK_N);
    }

    @Override
    public void actionPerformed(ActionEvent ae) {
        commentFaire = new CommentFaire(appli);
        commentFaire.setVisible(true);
        appli.enableCommentFaire(false);
    }
}